---
title: ResizeObserver.observe()
slug: Web/API/ResizeObserver/observe
tags:
  - API
  - Method
  - Reference
  - Resize Observer API
  - ResizeObserver
  - observe()
  - observers
---
<div>{{APIRef("Resize Observer API")}}</div>

<p class="summary">The <strong><code>observe()</code></strong> method of the {{domxref("ResizeObserver")}} interface starts observing the specified {{domxref('Element')}} or {{domxref('SVGElement')}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>resizeObserver</em>.observe(<em>target</em>, <em>options</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>target</code></dt>
 <dd>A reference to an {{domxref('Element')}} or {{domxref('SVGElement')}} to be observed.</dd>
 <dt>options {{optional_inline}}</dt>
 <dd>An options object allowing you to set options for the observation. Currently this only has one possible option that can be set:
 <dl>
  <dt><code>box</code></dt>
  <dd>Sets which box model the observer will observe changes to. Possible values are <code>content-box</code> (the default), and <code>border-box</code>.</dd>
 </dl>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>Void.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<p>The following snippet is taken from the <a href="https://mdn.github.io/dom-examples/resize-observer/resize-observer-text.html">resize-observer-text.html</a> (<a href="https://github.com/mdn/dom-examples/blob/master/resize-observer/resize-observer-text.html">see source</a>) example:</p>

<pre class="brush: js notranslate">const resizeObserver = new ResizeObserver(entries =&gt; {
  for (let entry of entries) {
    if(entry.contentBoxSize) {
      // Checking for chrome as using a non-standard array
      if (entry.contentBoxSize[0]) {
        h1Elem.style.fontSize = Math.max(1.5, entry.contentBoxSize[0].inlineSize/200) + 'rem';
        pElem.style.fontSize = Math.max(1, entry.contentBoxSize[0].inlineSize/600) + 'rem';
      } else {
        h1Elem.style.fontSize = Math.max(1.5, entry.contentBoxSize.inlineSize/200) + 'rem';
        pElem.style.fontSize = Math.max(1, entry.contentBoxSize.inlineSize/600) + 'rem';
      }
    } else {
      h1Elem.style.fontSize = Math.max(1.5, entry.contentRect.width/200) + 'rem';
      pElem.style.fontSize = Math.max(1, entry.contentRect.width/600) + 'rem';
    }
  }
  console.log('Size changed');
});

resizeObserver.observe(divElem);</pre>

<p>An <code>observe()</code> call with an options object would look like so:</p>

<pre class="brush: js notranslate">resizeObserver.observe(divElem, { box : 'border-box' });</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Resize Observer','#dom-resizeobserver-observe','observe()')}}</td>
   <td>{{Spec2('Resize Observer')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ResizeObserver.observe")}}</p>
